Download it now!
Bug 63727 - Image not rendered correctly after applying 90° rotation
Summary: Image not rendered correctly after applying 90° rotation
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.6.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-19 13:20 UTC by Clemens Eisserer
Modified: 2015-05-06 14:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clemens Eisserer 2013-04-19 13:20:27 UTC
As shown in the screencast located at http://youtu.be/XNZAVVYbQ8w , when applying rotation to the image contained in the attached sample document, the image is not rendered correctly anymore.

I made sure this is no video driver bug by disabling hw-acceleration completely.
Comment 1 Clemens Eisserer 2013-04-19 13:22:17 UTC
As the upload of the sample drawing failed due to size constraints, I uploaded it to: http://93.83.133.214/Poster_Rotationbug.odg
Comment 2 Joel Madero 2013-04-20 21:20:44 UTC
In the future please describe the problem with reproducible steps in words (ie. not youtube) first, write out exactly what you do to see the problem, what you expect to see and what you actually observe. Youtube videos can be used as a supplement to show the problem but should not be used to show the steps needed to reproduce the problem. Thanks! Now on to the triage :)


I have been able to confirm the issue on:
Version 3.6.6.2 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.


Marking as:

New (confirmed)
Normal - can prevent high quality work
Medium - default for normal bugs, seems appropriate in this case


+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 3 QA Administrators 2015-03-04 02:23:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1.2 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-03-03
Comment 4 Jean-Baptiste Faure 2015-03-28 18:38:23 UTC
ODG file is not available anymore and youtube video is not viewable if you configured youtube in html5 only (no flash player on my PC).
If you really want this bug to be fixed, you should help QA testers and developer to easily reproduce it. So, please describe step by step how to reproduce the problem.

Setting status to needinfo, please set it back to new once you have provided requested informations.

Best regards. JBF
Comment 5 QA Administrators 2015-05-06 14:22:15 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team